Name:          warzone2100
Version:       3.4.1
Release:       2mamba
Summary:       3D real time strategy game
Group:         Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wz2100.net/
# Note: source manually renamed to add version
Source:        https://sourceforge.net/projects/warzone2100/files/releases/%{version}/warzone2100-%{version}.tar.xz
Patch0:        warzone2100-3.4.1-link_libz.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libSDL2-devel
BuildRequires: libcurl-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libminiupnpc-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libphysfs-devel
BuildRequires: libpng-devel
BuildRequires: libqt5-devel
BuildRequires: libsodium-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: bison

%description
Warzone 2100 is a 3D realtime strategy game on a future Earth.
Warzone 2100 Resurrection is an effort to continue maintainence and publishing of Warzone 2100. Warzone 2100 was one of the first 3D RTS games ever. It was released commercially by Pumpkin Studies in 1999, and released in 2004 under the GPL.
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new structures and prepare your plans of global conquest. If the game goes badly you'll end up fighting last ditch battles here to defend your base from enemy attacks.
Combat is frenetic, with extensive graphical effects and damage to the terrain and buildings giving rise to flying shrapnel and boulders. Within the game are many different structures and vehicles. From an initial Command Centre, you then go on to build Resource Extractors to provide fuel for Power Generators, which in turn supply energy to Factories, Research Facilities and weapons emplacements to protect your base.
Featuring:
    * 400+ Technologies to research
    * 2,000+ different units to design
    * 3 Large campaign maps to conquer
    * 24 Fast play mission maps for extra action
    * Intelligence Display sets objectives dynamically
    * Interactive message system
    * Fast Play Interface graphically Based
    * Quick Screen Navigation
    * Fast Find System for units & structures
    * Set Factories to constant production
    * Automatically send each factory's units to where you want them
    * Cross-Platform internet/intranet multiplayer with up to 8 players
    * Challenging Computer-AI

%debug_package

%prep
%setup -q -n warzone2100

%build
%cmake -d build \
  -DBUILD_SHARED_LIBS=OFF \
  -DWZ_DISTRIBUTOR="openmamba"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/warzone2100
%{_datadir}/applications/warzone2100.desktop
%{_datadir}/metainfo/warzone2100.appdata.xml
%{_datadir}/icons/warzone2100.png
%dir %{_datadir}/warzone2100
%dir %{_datadir}/warzone2100/fonts
%{_datadir}/warzone2100/fonts/DejaVu.LICENSE.txt
%{_datadir}/warzone2100/fonts/DejaVuSans-Bold.ttf
%{_datadir}/warzone2100/fonts/DejaVuSans.ttf
#%dir %{_datadir}/warzone2100/mods
%dir %{_datadir}/warzone2100/music
%{_datadir}/warzone2100/*.wz
%{_datadir}/warzone2100/music/*.ogg
%{_datadir}/warzone2100/music/*.wpl
#%{_datadir}/warzone2100/mods/multiplay/*.wz
%dir %{_docdir}/warzone2100
%{_docdir}/warzone2100/*
%{_mandir}/man6/warzone2100.6*
%doc AUTHORS COPYING ChangeLog

%changelog
* Wed Mar 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- fix for missing third party libraries by passing BUILD_SHARED_LIBS=OFF

* Mon Feb 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-1mamba
- update to 3.4.1

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Tue Apr 26 2016 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic version update by autodist

* Thu Apr 07 2016 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Tue Feb 09 2016 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic update by autodist

* Thu Jan 01 2015 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update by autodist

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Mon Jan 21 2013 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- update to 3.1.0

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 2.3.8-1mamba
- automatic update by autodist

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 2.3.5-1mamba
- update to 2.3.5

* Sat Oct 17 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.2.4-1mamba
- update to 2.2.4

* Wed Sep 23 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.2.3-1mamba
- updated to 2.2.3

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.10-2mamba
- automatic rebuild by autodist

* Mon Jul 07 2008 gil <puntogil@libero.it> 2.0.10-1mamba
- package created by autospec
